package cokr.xit.fims.nxrp;

import cokr.xit.foundation.component.QueryRequest;

/**과태료 대장 단속 정보 등록 정보 조회 요청
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2024-02-16	JoJH 최초 작성
 * ================================
 * </pre>
 */
public class NisIndivQuery extends QueryRequest {

	private static final long serialVersionUID = 1L;

	// ID
	private String[] crdnIds;			// 단속 Ids
	private String crdnId;				// 단속 ID
	private String sndngDtlId;			// 발송 상세 Id
	// 연계 Key
	private String linkTrgtCd;
	private String linkMngKey;
	//
	private String sndngYmd;			// 발송(TB_SNDNG)_발송 일자

	public String[] getCrdnIds() {
		return ifEmpty(crdnIds, () -> null);
	}

	public <T extends NisIndivQuery> T setCrdnIds(String... crdnIds) {
		this.crdnIds = crdnIds;
		return self();
	}

	public String getCrdnId() {
		return ifEmpty(crdnId, () -> null);
	}

	public <T extends NisIndivQuery> T setCrdnId(String crdnId) {
		this.crdnId = crdnId;
		return self();
	}

	public String getSndngDtlId() {
		return ifEmpty(sndngDtlId, () -> null);
	}

	public <T extends NisIndivQuery> T setSndngDtlId(String sndngDtlId) {
		this.sndngDtlId = sndngDtlId;
		return self();
	}

	public String getLinkTrgtCd() {
		return ifEmpty(linkTrgtCd, () -> null);
	}

	public <T extends NisIndivQuery> T setLinkTrgtCd(String linkTrgtCd) {
		this.linkTrgtCd = linkTrgtCd;
		return self();
	}

	public String getLinkMngKey() {
		return ifEmpty(linkMngKey, () -> null);
	}

	public <T extends NisIndivQuery> T setLinkMngKey(String linkMngKey) {
		this.linkMngKey = linkMngKey;
		return self();
	}

	public String getSndngYmd() {
		return ifEmpty(sndngYmd, () -> null);
	}

	public <T extends NisIndivQuery> T setSndngYmd(String sndngYmd) {
		this.sndngYmd = sndngYmd;
		return self();
	}

}
